Bug 1138142 - [RFE][ImportDomain] Add the ability to delete unregistered entities
Summary: [RFE][ImportDomain] Add the ability to delete unregistered entities
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ---
: ---
Assignee: Maor
QA Contact: Raz Tamir
URL:
Whiteboard:
: 1148707 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-04 07:14 UTC by Maor
Modified: 2019-04-28 10:09 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 09:43:29 UTC
oVirt Team: Storage
ylavi: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Maor 2014-09-04 07:14:49 UTC
Description of problem:
We should add a button to delete any unregistered entity we don't desire to register to the setup

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Import a Storage Domain with unregistered entities
2. Go to the sub tab of the unregistered entities
3.

Actual results:
There is no ability to remove unregistered entities

Expected results:
There should be a button that will remove unwanted unregistered entities

Additional info:

Comment 1 Maor 2015-02-19 14:12:07 UTC
*** Bug 1148707 has been marked as a duplicate of this bug. ***

Comment 2 Carlos Mestre González 2016-03-07 13:13:20 UTC
This bz was marked as duplicated of 1148707. I want to make sure this RFE would allow to remove images in different providers (for example Glance) from the UI (in storage -> images tab) and from the rest api?

Comment 3 Maor 2016-03-07 14:00:50 UTC
This specific RFE is related to unregistered entities which means VMs and Templates (and in the future also floating disks) which were maintained in a setup before a destroy occurred.

Originally this BZ was not supposed to cover Glance since it was mainly related to unregistered entities in file and block Storage Domains.

Raz, correct me if I'm wrong but IINM your RFE was also referring only to unregistered entities in file and block Storage Domains and does not refer to Glance Storage Domains.

Comment 4 Raz Tamir 2016-03-08 13:38:33 UTC
Hi,
My RFE is referring to unregistered entities in data domain and not Glance

Comment 5 Doron Fediuck 2018-05-21 09:43:29 UTC
Closing old RFEs.
If relevant please re-open and explain why.


Note You need to log in before you can comment on or make changes to this bug.